#include<iostream>
using namespace std;
int main()
{
    int br,visina;
    cin>>br>>visina;
    int np=-1, a;
    for(int i=0; i<br; i++){
        cin>>a;
        if(np!=-1) continue;
        if(a<=visina){
            np=i+1;
        }
    }
    cout<<np<<endl;
    return 0;
}